%define fw_version 5.24

Summary:	KDE Frameworks 5 Wayland support library
Name:		kwayland
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	wayland-tools
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(wayland-server)

%description
KDE Frameworks 5 Wayland support library.

%files
%{_kde5_libexecdir}/org-kde-kf5-kwayland-testserver
%{_kde5_sysconfdir}/xdg/org_kde_kwayland.categories

#----------------------------------------------------------------------------

%define kf5waylandclient_major 5
%define libkf5waylandclient %mklibname kf5waylandclient %{kf5waylandclient_major}

%package -n %{libkf5waylandclient}
Summary:	KDE Frameworks 5 Wayland support shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5waylandclient}
KDE Frameworks 5 Wayland support shared library.

%files -n %{libkf5waylandclient}
%{_kde5_libdir}/libKF5WaylandClient.so.%{kf5waylandclient_major}*

#----------------------------------------------------------------------------

%define kf5waylandserver_major 5
%define libkf5waylandserver %mklibname kf5waylandserver %{kf5waylandserver_major}

%package -n %{libkf5waylandserver}
Summary:	KDE Frameworks 5 Wayland support shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5waylandserver}
KDE Frameworks 5 Wayland support shared library.

%files -n %{libkf5waylandserver}
%{_kde5_libdir}/libKF5WaylandServer.so.%{kf5waylandserver_major}*

#----------------------------------------------------------------------------

%define devkf5wayland %mklibname kf5wayland -d

%package -n %{devkf5wayland}
Summary:	Development files for KDE Frameworks 5 Wayland support library
Group:		Development/KDE and Qt
Requires:	%{libkf5waylandclient} = %{EVRD}
Requires:	%{libkf5waylandserver} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5wayland-devel = %{version}

%description -n %{devkf5wayland}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5wayland}
%{_kde5_includedir}/KF5/KWayland
%{_kde5_includedir}/KF5/kwayland_version.h
%{_kde5_libdir}/cmake/KF5Wayland
%{_kde5_libdir}/libKF5WaylandClient.so
%{_kde5_libdir}/libKF5WaylandServer.so
%{_kde5_mkspecsdir}/qt_KWaylandClient.pri
%{_kde5_mkspecsdir}/qt_KWaylandServer.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (642b8bd) New version 5.24.0


